package com.tzld.piaoquan.api.model.po.contentplatform;

public class ContentPlatformQwPlanVideo {
    private Long id;

    private Long planId;

    private Long videoId;

    private String title;

    private String cover;

    private String video;

    private String experimentId;

    private Integer status;

    private Long createAccountId;

    private Long createTimestamp;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public Long getVideoId() {
        return videoId;
    }

    public void setVideoId(Long videoId) {
        this.videoId = videoId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getCover() {
        return cover;
    }

    public void setCover(String cover) {
        this.cover = cover;
    }

    public String getVideo() {
        return video;
    }

    public void setVideo(String video) {
        this.video = video;
    }

    public String getExperimentId() {
        return experimentId;
    }

    public void setExperimentId(String experimentId) {
        this.experimentId = experimentId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getCreateAccountId() {
        return createAccountId;
    }

    public void setCreateAccountId(Long createAccountId) {
        this.createAccountId = createAccountId;
    }

    public Long getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", planId=").append(planId);
        sb.append(", videoId=").append(videoId);
        sb.append(", title=").append(title);
        sb.append(", cover=").append(cover);
        sb.append(", video=").append(video);
        sb.append(", experimentId=").append(experimentId);
        sb.append(", status=").append(status);
        sb.append(", createAccountId=").append(createAccountId);
        sb.append(", createTimestamp=").append(createTimestamp);
        sb.append("]");
        return sb.toString();
    }
}